Bug 56117 - Sendmail should not be run as daemon by default
Summary: Sendmail should not be run as daemon by default
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail   
(Show other bugs)
Version: 7.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-12 23:11 UTC by Pavel Roskin
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-12 23:11:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pavel Roskin 2001-11-12 23:11:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5+) Gecko/20011111

Description of problem:
Sendmail is run on runlevels 2-5 by default.  It's not a good idea to run
an unconfigured MTA by default.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -i sendmail-8.11.6-3.i386.rpm
2. chkconfig --list sendmail


Actual Results:  sendmail        0:off   1:off   2:on    3:on    4:on   
5:on    6:off


Expected Results:  sendmail        0:off   1:off   2:off   3:off   4:off  
5:off   6:off


Additional info:

The default runlevels are set in /etc/rc.d/init.d/sendmail
Instead of

# chkconfig: 2345 80 30

use

# chkconfig: - 80 30

Comment 1 Bill Nottingham 2001-11-13 18:04:05 UTC
Too many things require it.


Note You need to log in before you can comment on or make changes to this bug.